CMSIS-Driver: Driver_Flash.c File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Driver_Flash.c File Reference

## Functions

ARM_DRIVER_VERSION | ARM_Flash_GetVersion (void)
| Get driver version. More...
ARM_FLASH_CAPABILITIES | ARM_Flash_GetCapabilities (void)
| Get driver capabilities. More...
int32_t | ARM_Flash_Initialize (ARM_Flash_SignalEvent_t cb_event)
| Initialize the Flash Interface. More...
int32_t | ARM_Flash_Uninitialize (void)
| De-initialize the Flash Interface. More...
int32_t | ARM_Flash_PowerControl (ARM_POWER_STATE state)
| Control the Flash interface power. More...
int32_t | ARM_Flash_ReadData (uint32_t addr, void *data, uint32_t cnt)
| Read data from Flash. More...
int32_t | ARM_Flash_ProgramData (uint32_t addr, const void *data, uint32_t cnt)
| Program data to Flash. More...
int32_t | ARM_Flash_EraseSector (uint32_t addr)
| Erase Flash Sector. More...
int32_t | ARM_Flash_EraseChip (void)
| Erase complete Flash. Optional function for faster full chip erase. More...
ARM_FLASH_STATUS | ARM_Flash_GetStatus (void)
| Get Flash status. More...
ARM_FLASH_INFO * | ARM_Flash_GetInfo (void)
| Get Flash information. More...
void | ARM_Flash_SignalEvent (uint32_t event)
| Signal Flash event. More...